Bug 1411918 - [abrt] inkscape: SPPaintServer::isSwatch(): inkscape killed by SIGSEGV
Summary: [abrt] inkscape: SPPaintServer::isSwatch(): inkscape killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: inkscape
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e03d17e0b85c09b96724362a406...
: 1412688 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 18:16 UTC by Trever Adams
Modified: 2017-12-12 10:08 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (70.76 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: cgroup (276 bytes, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: core_backtrace (20.13 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: dso_list (12.60 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: environ (3.18 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: maps (62.79 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: mountinfo (3.25 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: open_fds (689 bytes, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details
File: var_log_messages (329 bytes, text/plain)
2017-01-10 18:16 UTC, Trever Adams
no flags Details

Description Trever Adams 2017-01-10 18:16:19 UTC
Description of problem:
I believe this happened when fill and stroke is used to change gradient to Mesh from any other gradient. It doesn't crash, but will gracefully shutdown when switched from no gradient for fill.

This happened with the caligraphy tool.

Version-Release number of selected component:
inkscape-0.92-7.pre3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        inkscape
crash_function: SPPaintServer::isSwatch
executable:     /usr/bin/inkscape
global_pid:     15847
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SPPaintServer::isSwatch at sp-paint-server.cpp:41
 #1 gr_item_get_gradient at widgets/gradient-vector.cpp:391
 #2 gr_get_usage_counts at widgets/gradient-vector.cpp:420
 #3 sp_gvs_rebuild_gui_full at widgets/gradient-vector.cpp:313
 #4 sigc::internal::signal_emit2<void, SPObject*, unsigned int, sigc::nil>::emit at /usr/include/sigc++-2.0/sigc++/signal.h:1296
 #5 sigc::signal2<void, SPObject*, unsigned int, sigc::nil>::emit at /usr/include/sigc++-2.0/sigc++/signal.h:3104
 #6 SPObject::emitModified at sp-object.cpp:1343
 #7 SPGroup::modified at sp-item-group.cpp:224
 #8 SPRoot::modified at sp-root.cpp:301
 #9 SPObject::emitModified at sp-object.cpp:1341

Comment 1 Trever Adams 2017-01-10 18:16:25 UTC
Created attachment 1239191 [details]
File: backtrace

Comment 2 Trever Adams 2017-01-10 18:16:25 UTC
Created attachment 1239192 [details]
File: cgroup

Comment 3 Trever Adams 2017-01-10 18:16:27 UTC
Created attachment 1239193 [details]
File: core_backtrace

Comment 4 Trever Adams 2017-01-10 18:16:28 UTC
Created attachment 1239194 [details]
File: dso_list

Comment 5 Trever Adams 2017-01-10 18:16:29 UTC
Created attachment 1239195 [details]
File: environ

Comment 6 Trever Adams 2017-01-10 18:16:30 UTC
Created attachment 1239196 [details]
File: exploitable

Comment 7 Trever Adams 2017-01-10 18:16:31 UTC
Created attachment 1239197 [details]
File: limits

Comment 8 Trever Adams 2017-01-10 18:16:32 UTC
Created attachment 1239198 [details]
File: maps

Comment 9 Trever Adams 2017-01-10 18:16:33 UTC
Created attachment 1239199 [details]
File: mountinfo

Comment 10 Trever Adams 2017-01-10 18:16:34 UTC
Created attachment 1239200 [details]
File: namespaces

Comment 11 Trever Adams 2017-01-10 18:16:35 UTC
Created attachment 1239201 [details]
File: open_fds

Comment 12 Trever Adams 2017-01-10 18:16:36 UTC
Created attachment 1239202 [details]
File: proc_pid_status

Comment 13 Trever Adams 2017-01-10 18:16:37 UTC
Created attachment 1239203 [details]
File: var_log_messages

Comment 14 Levan 2017-01-12 14:50:08 UTC
*** Bug 1412688 has been marked as a duplicate of this bug. ***

Comment 15 Evan McNabb 2017-01-18 22:36:29 UTC
Similar problem has been detected:

Created object (e.g. simple circle). Right click "Fill and Stroke", click "Mesh gradient" -> crash occurs.

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        inkscape
crash_function: SPPaintServer::isSwatch
executable:     /usr/bin/inkscape
global_pid:     18839
kernel:         4.8.16-300.fc25.x86_64
package:        inkscape-0.92-7.pre3.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         inkscape killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Fedora End Of Life 2017-11-16 14:46:47 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:08:48 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.